SVNXMLStatusHandler (JavaDoc :: Documentation :: Pure Java Subversion (SVN) Client Library)
Keywords: org.tmatesoft.svn.core.wc.xml.SVNXMLStatusHandler class

Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.tmatesoft.svn.core.wc.xml
Class SVNXMLStatusHandler

    java.lang.Object
      org.tmatesoft.svn.core.wc.xml.AbstractXMLHandler
          org.tmatesoft.svn.core.wc.xml.SVNXMLStatusHandler

All Implemented Interfaces:
  ISVNStatusHandler, Locator

public class SVNXMLStatusHandler
extends AbstractXMLHandler
implements ISVNStatusHandler

This is an implementation of the ISVNStatusHandler interface that writes XML formatted status information to a specified ContentHandler.

Since:
  1.2
Version:
  1.3
Author:
  TMate Software Ltd.

Field Summary
`static String` | `AUTHOR_TAG` `'author'` tag.
`static String` | `COMMENT_TAG` `'comment'` tag.
`static String` | `COMMIT_TAG` `'commit'` tag.
`static String` | `COPIED_ATTR` `'copied'` attribute.
`static String` | `CREATED_TAG` `'created'` tag.
`static String` | `DATE_TAG` `'date'` tag.
`static String` | `ENTRY_TAG` `'entry'` tag.
`static String` | `EXPIRES_TAG` `'expires'` tag.
`static String` | `ITEM_ATTR` `'item'` attribute.
`static String` | `LOCK_TAG` `'lock'` tag.
`static String` | `OWNER_TAG` `'owner'` tag.
`static String` | `PATH_ATTR` `'path'` attribute.
`static String` | `PROPS_ATTR` `'props'` attribute.
`static String` | `REMOTE_STATUS_TAG` `'repos-status'` tag.
`static String` | `REVISION_ATTR` `'revision'` attribute.
`static String` | `STATUS_TAG` `'status'` tag.
`static String` | `SWITCHED_ATTR` `'switched'` attribute.
`static String` | `TOKEN_TAG` `'token'` tag.
`static String` | `WC_LOCKED_ATTR` `'wc-locked'` attribute.
`static String` | `WC_STATUS_TAG` `'wc-status'` tag.

Constructor Summary
`SVNXMLStatusHandler(ContentHandler saxHandler)` Creates a new status handler.
`SVNXMLStatusHandler(ContentHandler saxHandler, org.tmatesoft.svn.util.ISVNDebugLog log)` Creates a new status handler.

Method Summary
`void` | `endTarget(long revision)` Closes the formatted XML with the revision against which the status is run.
`protected String` | `getHeaderName()`
`protected String` | `getRelativePath(File path)`
`protected String` | `getTargetPath()`
`void` | `handleStatus(SVNStatus status)` Handles a next `status` object producing corresponding xml.
`void` | `startTarget(File path)` Begins an XML tree with the target path for which the status is run.

Methods inherited from class org.tmatesoft.svn.core.wc.xml.AbstractXMLHandler
`addAttribute, addTag, closeTag, endDocument, getColumnNumber, getDebugLog, getLineNumber, getPublicId, getSystemId, openTag, startDocument`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EXPIRES_TAG

    public static final String EXPIRES_TAG

  `'expires'` tag.

  See Also:
    Constant Field Values

### CREATED_TAG

    public static final String CREATED_TAG

  `'created'` tag.

  See Also:
    Constant Field Values

### COMMENT_TAG

    public static final String COMMENT_TAG

  `'comment'` tag.

  See Also:
    Constant Field Values

### OWNER_TAG

    public static final String OWNER_TAG

  `'owner'` tag.

  See Also:
    Constant Field Values

### TOKEN_TAG

    public static final String TOKEN_TAG

  `'token'` tag.

  See Also:
    Constant Field Values

### DATE_TAG

    public static final String DATE_TAG

  `'date'` tag.

  See Also:
    Constant Field Values

### AUTHOR_TAG

    public static final String AUTHOR_TAG

  `'author'` tag.

  See Also:
    Constant Field Values

### REMOTE_STATUS_TAG

    public static final String REMOTE_STATUS_TAG

  `'repos-status'` tag.

  See Also:
    Constant Field Values

### LOCK_TAG

    public static final String LOCK_TAG

  `'lock'` tag.

  See Also:
    Constant Field Values

### COMMIT_TAG

    public static final String COMMIT_TAG

  `'commit'` tag.

  See Also:
    Constant Field Values

### WC_STATUS_TAG

    public static final String WC_STATUS_TAG

  `'wc-status'` tag.

  See Also:
    Constant Field Values

### ENTRY_TAG

    public static final String ENTRY_TAG

  `'entry'` tag.

  See Also:
    Constant Field Values

### STATUS_TAG

    public static final String STATUS_TAG

  `'status'` tag.

  See Also:
    Constant Field Values

### REVISION_ATTR

    public static final String REVISION_ATTR

  `'revision'` attribute.

  See Also:
    Constant Field Values

### SWITCHED_ATTR

    public static final String SWITCHED_ATTR

  `'switched'` attribute.

  See Also:
    Constant Field Values

### COPIED_ATTR

    public static final String COPIED_ATTR

  `'copied'` attribute.

  See Also:
    Constant Field Values

### WC_LOCKED_ATTR

    public static final String WC_LOCKED_ATTR

  `'wc-locked'` attribute.

  See Also:
    Constant Field Values

### PROPS_ATTR

    public static final String PROPS_ATTR

  `'props'` attribute.

  See Also:
    Constant Field Values

### ITEM_ATTR

    public static final String ITEM_ATTR

  `'item'` attribute.

  See Also:
    Constant Field Values

### PATH_ATTR

    public static final String PATH_ATTR

  `'path'` attribute.

  See Also:
    Constant Field Values

Constructor Detail

### SVNXMLStatusHandler

    public SVNXMLStatusHandler(ContentHandler saxHandler)

  Creates a new status handler.

Parameters:
  `saxHandler` - a ContentHandler to form an XML tree

### SVNXMLStatusHandler

    public SVNXMLStatusHandler(ContentHandler saxHandler,
                               org.tmatesoft.svn.util.ISVNDebugLog log)

  Creates a new status handler.

Parameters:
  `saxHandler` - a ContentHandler to form an XML tree
  `log` - a debug logger

Method Detail

### startTarget

    public void startTarget(File path)

  Begins an XML tree with the target path for which the status is run.

  Parameters:
    `path` - a WC target path

### handleStatus

    public void handleStatus(SVNStatus status)
                      throws SVNException

  Handles a next `status` object producing corresponding xml.

  Specified by:
    `handleStatus` in interface `ISVNStatusHandler`
  Parameters:
    `status` -
  Throws:
    `SVNException`

### endTarget

    public void endTarget(long revision)

  Closes the formatted XML with the revision against which the status is run.

  Parameters:
    `revision` - a revision against which the status is run

### getRelativePath

    protected String getRelativePath(File path)

### getTargetPath

    protected String getTargetPath()

### getHeaderName

    protected String getHeaderName()

  Specified by:
    `getHeaderName` in class `AbstractXMLHandler`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2009 TMate Software Ltd. All Rights Reserved.